﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;


namespace Booter
{
    public class X300T
    {
        [return: MarshalAs(UnmanagedType.U1)]
        [DllImport("booter.dll")]
        public static extern bool AppRunning(int pid);

        [return: MarshalAs(UnmanagedType.U1)]
        [DllImport("booter.dll", CharSet = CharSet.Unicode)]
        public static extern bool DoFormatVolume(string path);

        [DllImport("booter.dll")]
        public static extern void DoPlatformSpecificInitialization();

        [DllImport("booter.dll")]
        public static extern bool EnforceContentSigning();

        [DllImport("booter.dll", CharSet = CharSet.Unicode)]
        public static extern void FixContent(string name);

        [return: MarshalAs(UnmanagedType.U1)]
        [DllImport("booter.dll")]
        public static extern bool GetBoxUniqueID(byte[] buffer, int length);

        [DllImport("booter.dll")]
        public static extern void KillApp(int pid);

        [DllImport("booter.dll", CharSet = CharSet.Unicode)]
        public static extern int LaunchApp(string name, string cmdLine);

        [return: MarshalAs(UnmanagedType.U1)]
        [DllImport("booter.dll", CharSet = CharSet.Unicode)]
        public static extern bool LoadEthDriver(string MiniportName, string AdapterName);

        [return: MarshalAs(UnmanagedType.U1)]
        [DllImport("booter.dll", CharSet = CharSet.Unicode)]
        public static extern bool LoadUSBDriver();

        [DllImport("booter.dll")]
        public static extern void UnloadPlatformDlls();

        [DllImport("booter.dll", CharSet = CharSet.Unicode)]
        public static extern void PrepDisks();

        [DllImport("booter.dll")]
        public static extern void Reboot();

        [DllImport("booter.dll")]
        public static extern void WaitForDhcp();

        [DllImport("TV2Engine.dll")]
        public static extern int TV2Engine_LoadHal();
    }
}
